Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.format
Class Margin

    java.lang.Object
      info.bioinfweb.treegraph.document.format.Margin

    public class Margin

extends java.lang.Object

Field Summary
`private DistanceValue` | `bottom`
`private DistanceValue` | `left`
`private DistanceValue` | `right`
`private DistanceValue` | `top`

Constructor Summary
`Margin()`
`Margin(DistanceValue left, DistanceValue top, DistanceValue right, DistanceValue bottom)`
`Margin(float margin)`
`Margin(float left, float top, float right, float bottom)` Initializes the margin with values in millimeters.

Method Summary
`void` | `assign(Margin other)`
`protected Margin` | `clone()`
`boolean` | `equals(java.lang.Object obj)`
`DistanceValue` | `getBottom()`
`DistanceValue` | `getLeft()`
`DistanceValue` | `getRight()`
`DistanceValue` | `getTop()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### left

    private DistanceValue left

### top

    private DistanceValue top

### right

    private DistanceValue right

### bottom

    private DistanceValue bottom

Constructor Detail

### Margin

    public Margin()

### Margin

    public Margin(float margin)

### Margin

    public Margin(float left,
                  float top,
                  float right,
                  float bottom)

  Initializes the margin with values in millimeters.

  Parameters:
    `left` - the left margin in millimeters
    `top` - the top margin in millimeters
    `right` - the right margin in millimeters
    `bottom` - the bottom margin in millimeters

### Margin

    public Margin(DistanceValue left,
                  DistanceValue top,
                  DistanceValue right,
                  DistanceValue bottom)

Method Detail

### getBottom

    public DistanceValue getBottom()

### getLeft

    public DistanceValue getLeft()

### getRight

    public DistanceValue getRight()

### getTop

    public DistanceValue getTop()

### assign

    public void assign(Margin other)

### clone

    protected Margin clone()

  Overrides:
    `clone` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD